Name:           libopensync-plugin-akonadi
Version:        0.22
Release:        %mkrel 4
Summary:        KDE4 Akonadi PIM Synchronization Plug-In for OpenSync
Group:          Graphical desktop/KDE
License:        GPLv3
URL:            http://masterpatricko.blogspot.com/2010/09/opensync-plugin-kdepim-and-opensync.html
Source0:        %{name}-%{version}.tar.bz2
Patch0:         libopensync-plugin-akonadi-kde4.4.patch
BuildRequires:  opensync0-devel = 0.22
BuildRequires:  cmake
BuildRequires:  kdepim4-devel
BuildRequires:  kdelibs4-devel
BuildRequires:  kdebase4-workspace-devel
Requires:	libopensync0 = %{version}

%description
This plug-in allows applications using OpenSync to synchronize to and
from KDE4 Akonadi-based applications.

#-------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde4
%make
  
%install  
%makeinstall_std -C build

%files
%{_libdir}/opensync/plugins/akonadi_synclib.so
%{_libdir}/opensync/plugins/akonadi_sync.so
%{_datadir}/opensync/defaults/akonadi-sync
%doc AUTHORS COPYING ChangeLog README




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.22-4.mga3
+ Revision: 357935
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + juancho <juancho>
    - Changed Requires and BR opensync0-devel >= 0.22 to opensync0-devel = 0.22 preparing for upgrate to 0.39 version
    - Removed BuildRoot stuff
    - Removed defattr stuff in %%files
    - Some little cosmetic changes

* Thu Oct 20 2011 juancho <juancho> 0.22-2.mga2
+ Revision: 156776
- added missing Requires: libopensync
- added missing Requires: libopensync

* Wed Oct 12 2011 juancho <juancho> 0.22-1.mga2
+ Revision: 154034
- imported package libopensync-plugin-akonadi

